<template>
	<el-container class="page-user">
		待处理
		<el-main>
			<Suspense>
				<template #default>
					todo...
					<!--					<component :is="page" />-->
				</template>
				<template #fallback>
					<el-skeleton :rows="3" />
				</template>
			</Suspense>
		</el-main>
	</el-container>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
export default defineComponent({
	/* eslint-disable */
  // @ts-ignore
	name: 'profileIndex',
  /* eslint-disable */
	//路由跳转进来 判断from是否有特殊标识做特殊处理
	beforeRouteEnter(to, from, next) {
		next(vm => {
			// console.error(vm, 'vm', to, 'to', from, 'from')
			vm.$alert('路由跳转过来后含有特殊标识，做特殊处理', '提示', {
				type: 'success',
				center: true
			})
				.then(() => {})
				.catch(() => {})
			/*if (from.is) {
        //删除特殊标识，防止标签刷新重复执行
        delete from.is
        //执行特殊方法
        vm.$alert('路由跳转过来后含有特殊标识，做特殊处理', '提示', {
          type: 'success',
          center: true
        })
            .then(() => {})
            .catch(() => {})
      }*/
		})
	},
	created() {
		console.error('created...')
	}
})
</script>
